app.factory('entidadeFactory', function ($http) {
    var url = '../api/entidade/';
    

    return {
        getEntidades: function () {
            return $http({
                url: url,
                method: "GET"
            })
        },

        getEntidadeId: function (ent) {

            return $http({
                url: url + ent.PK_Entidade,
                method: "GET",
                cache: false
            })

        },
       
        addEntidade: function (ent) {
            return $http({
                cache: false,
                url: url,
                method: "POST",
                data: ent
                
            })
        },
        
        deleteEntidade: function (ent) {
            return $http.delete(url + ent.PK_Entidade);
        },
        updateEntidade: function (ent) {
            return $http.put(url + ent.PK_Entidade, ent);
        }
    };
});

